package com.bwie.auth.controller;

import com.alibaba.fastjson.JSON;
import com.bwie.auth.service.AuthService;
import com.bwie.common.constants.JwtConstants;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.apache.catalina.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName AuthController
 * @Description 描述
 * @Author LiAng.xiAo
 * @Date 2023/12/16 11:45
 */
@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;
    @Autowired
    private HttpServletRequest request;
    @Autowired
    private StringRedisTemplate redisTemplate;



    @PostMapping("/login")
    public Result login(@RequestBody UserRequest userRequest){
        log.info("功能描述: ,请求RUI:{},请求方式:{},请求参数:{}"
                ,request.getServletPath(),request.getMethod(),userRequest.toString());
        Result<JwtResponse> result = authService.login(userRequest);
        log.info("功能描述: ,请求RUI:{},请求方式:{},响应参数:{}"
                       ,request.getServletPath(),request.getMethod(),JSON.toJSONString(result.getData()));

        return result;
    }

    @PostMapping("/info")
    public Result<?> info(){
        String token = request.getHeader("token");
        if(token!=null){
            String s = redisTemplate.opsForValue().get(JwtConstants.USER_KEY + token);
            Object o = JSON.parseObject(s, Object.class);
            System.out.println(o);
            return Result.success(o);
        }
        return Result.error("未携带token");
    }



}
