package com.bwie.auth.feign;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Manager;
import com.bwie.common.domain.Student;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @ClassName AuthFeignService
 * @Description 描述
 * @Author LiAng.xiAo
 * @Date 2023/12/16 11:48
 */
@FeignClient("bwie-user")
public interface UserFeign {
    @PostMapping("/StudentLogin")
    public Result<Student> StudentLogin(@RequestBody UserRequest userRequest);
    @PostMapping("/ManagerLogin")
    public Result<Manager> ManagerLogin(@RequestBody  UserRequest userRequest);
    @PostMapping("/AdminLogin")
    public Result<Admin> AdminLogin(@RequestBody UserRequest userRequest );
}
