package com.bwie.user.controller;


import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Manager;
import com.bwie.common.domain.Student;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @ClassName UserController
 * @Description 描述
 * @Author LiAng.xiAo
 * @Date 2023/12/16 11:48
 */
@RestController
@Log4j2
public class UserController {

    @Autowired
    private UserService userService;
    @Autowired
    private HttpServletRequest request;

    //学生登录
    @PostMapping("/StudentLogin")
    public Result<Student> StudentLogin(@RequestBody UserRequest userRequest){
        Result<Student> result = userService.StudentLogin(userRequest);
        return result;
    }
    //宿管登录
    @PostMapping("/ManagerLogin")
    public Result<Manager> ManagerLogin(@RequestBody  UserRequest userRequest){
        Result<Manager> result = userService.ManagerLogin(userRequest);
        return result;
    }
    //管理员登录
    @PostMapping("/AdminLogin")
    public Result<Admin> AdminLogin(@RequestBody UserRequest userRequest ){
        Result<Admin> result = userService.AdminLogin(userRequest);
        return result;
    }
    //管理员信息更新
    @PostMapping("/AdminUpd")
    public Result AdminUpd(@RequestBody Admin admin){
        Result result = userService.AdminUpd(admin);
        return result;
    }
    //学生信息更新
    @PostMapping("/StudentUpd")
    public Result StudentUpd(@RequestBody Student student){
        Result result = userService.StudentUpd(student);
        return result;
    }
    //宿管信息更新
    @PostMapping("/ManagerUpd")
    public Result ManagerUpd(@RequestBody Manager manager){
        Result result = userService.ManagerUpd(manager);
        return result;
    }
    //新增管理信息
    @PostMapping("/AdminAdd")
    public Result AdminAdd(@RequestBody Admin admin){
        Result result = userService.AdminAdd(admin);
        return result;
    }
    //新增学生信息
    @PostMapping("/StudentAdd")
    public Result AdminAdd(@RequestBody Student student){
        Result result = userService.StudentAdd(student);
        return result;
    }
    //新增宿管信息
    @PostMapping("/ManagerAdd")
    public Result AdminAdd(@RequestBody Manager manager){
        Result result = userService.ManagerAdd(manager);
        return result;
    }
    //管理删除
    @PostMapping("/AdminDel")
    public Result AdminDel(@RequestBody UserRequest userRequest){
        Result result = userService.AdminDel(userRequest);
        return result;
    }
    //学生删除
    @PostMapping("/StudentDel")
    public Result StudentDel(@RequestBody UserRequest userRequest){
        Result result = userService.StudentDel(userRequest);
        return result;
    }
    //宿管删除
    @PostMapping("/ManagerDel")
    public Result ManagerDel(@RequestBody UserRequest userRequest){
        Result result = userService.ManagerDel(userRequest);
        return result;
    }
    //查询管理列表
    @GetMapping("/AdminList")
    public Result<List<Admin>> AdminList(){
        Result<List<Admin>> result = userService.AdminList();
        return result;
    }
    //查询学生列表
    @GetMapping("/StudentList")
    public Result<List<Student>> StudentList(){
        Result<List<Student>> result = userService.StudentList();
        return result;
    }
    //查询宿管列表
    @GetMapping("/ManagerList")
    public Result<List<Manager>> ManagerList(){
        Result<List<Manager>> result = userService.ManagerList();
        return result;
    }
}
