package com.bwie.user.handel;

import com.bwie.common.result.Result;
import com.bwie.user.auth.UserException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-19 下午 3:11
 */
@RestControllerAdvice
public class GlobalExceptionHandel {
    //日志
    private static final Logger logger= LoggerFactory.getLogger(GlobalExceptionHandel.class);

    @ExceptionHandler(UserException.class)
    public Result Exception(HttpServletRequest request,UserException ue){
        logger.info("错误路径{},出现异常,异常信息{}",request.getRequestURI(),ue.getMessage());
        //实现错误信息的统一
        return Result.error(ue.getMessage());
    }

}
