package com.bwie.user.service;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Manager;
import com.bwie.common.domain.Student;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @ClassName UserService
 * @Description 描述
 * @Author LiAng.xiAo
 * @Date 2023/12/16 11:49
 */
public interface UserService {
    public Result<Student> StudentLogin(UserRequest userRequest);
    public Result<Manager> ManagerLogin(UserRequest userRequest);
    public Result<Admin> AdminLogin(UserRequest userRequest);

    Result AdminUpd(Admin admin);

    Result StudentUpd(Student student);

    Result ManagerUpd(Manager manager);

    Result AdminAdd(Admin admin);

    Result StudentAdd(Student student);

    Result ManagerAdd(Manager manager);
    
    Result AdminDel(UserRequest userRequest);

    Result StudentDel(UserRequest userRequest);

    Result ManagerDel(UserRequest userRequest);

    Result<List<Admin>> AdminList();

    Result<List<Student>> StudentList();

    Result<List<Manager>> ManagerList();
}
