package com.bwie.user.service.impl;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.Manager;
import com.bwie.common.domain.Student;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName UserServiceImpl
 * @Description 描述
 * @Author LiAng.xiAo
 * @Date 2023/12/16 11:50
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;

    @Override
    public Result<Student> StudentLogin(UserRequest userRequest) {
        Student student = userMapper.findByStudentLogin(userRequest);
        if (student!=null){
            return Result.success(student);
        }
        return Result.error("失败");
    }

    @Override
    public Result<Manager> ManagerLogin(UserRequest userRequest) {
        Manager manager = userMapper.findByManagerLogin(userRequest);
        if (manager!=null){
            return Result.success(manager);
        }
        return Result.error("失败");
    }

    @Override
    public Result<Admin> AdminLogin(UserRequest userRequest) {
        Admin admin = userMapper.findByAdminLogin(userRequest);
        if (admin!=null){
            return Result.success(admin);
        }
        return Result.error("失败");
    }

    @Override
    public Result AdminUpd(Admin admin) {
        Integer num = userMapper.AdminUpd(admin);
        //三目判断表达式
        return num>0?Result.success("修改管理信息成功"):Result.error("修改管理信息失败");
    }

    @Override
    public Result StudentUpd(Student student) {
        Integer num = userMapper.StudentUpd(student);
        //三目判断表达式
        return num>0?Result.success("修改学生信息成功"):Result.error("修改学生信息失败");
    }

    @Override
    public Result ManagerUpd(Manager manager) {
        Integer num = userMapper.ManagerUpd(manager);
        //三目判断表达式
        return num>0?Result.success("修改宿管信息成功"):Result.error("修改宿管信息失败");
    }

    @Override
    public Result AdminAdd(Admin admin) {
        Integer num = userMapper.
                AdminAdd(admin);
        //三目判断表达式
        return num>0?Result.success("新增管理信息成功"):Result.error("新增管理信息失败");
    }

    @Override
    public Result StudentAdd(Student student) {
        Integer num = userMapper.StudentAdd(student);
        //三目判断表达式
        return num>0?Result.success("新增学生信息成功"):Result.error("新增学生信息失败");
    }

    @Override
    public Result ManagerAdd(Manager manager) {
        Integer num = userMapper.ManagerAdd(manager);
        //三目判断表达式
        return num>0?Result.success("新增宿管信息成功"):Result.error("新增宿管信息失败");
    }

    @Override
    public Result AdminDel(UserRequest userRequest) {
        Integer num = userMapper.AdminDel(userRequest);
        //三目判断表达式
        return num>0?Result.success("新增宿管信息成功"):Result.error("新增宿管信息失败");
    }

    @Override
    public Result StudentDel(UserRequest userRequest) {
        Integer num = userMapper.StudentDel(userRequest);
        //三目判断表达式
        return num>0?Result.success("新增宿管信息成功"):Result.error("新增宿管信息失败");
    }

    @Override
    public Result ManagerDel(UserRequest userRequest) {
        Integer num = userMapper.ManagerDel(userRequest);
        //三目判断表达式
        return num>0?Result.success("新增宿管信息成功"):Result.error("新增宿管信息失败");
    }

    @Override
    public Result<List<Admin>> AdminList() {
        List<Admin> Admin = userMapper.AdminList();
        return Result.success(Admin);
    }

    @Override
    public Result<List<Student>> StudentList() {
        List<Student> Student = userMapper.StudentList();
        return Result.success(Student);
    }

    @Override
    public Result<List<Manager>> ManagerList() {
        List<Manager> Manager = userMapper.ManagerList();
        return Result.success(Manager);
    }
}
